---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab cluster agent list`

List GitLab Agents for Kubernetes in a project.

```plaintext
glab cluster agent list [flags]
```

## Aliases

```plaintext
ls
```

## Options

```plaintext
  -p, --page uint       Page number. (default 1)
  -P, --per-page uint   Number of items to list per page. (default 30)
```

## Options inherited from parent commands

```plaintext
      --help              Show help for this command.
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```
